Last Comment Bug 649685 - Setting layers.prefer-opengl to true causes screen to be flipped horizontally upside down
: Setting layers.prefer-opengl to true causes screen to be flipped horizontally...
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 2.0 Branch
: All All
-- major (vote)
: ---
Assigned To: Matt Woodrow (:mattwoodrow)
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks: 546508
  Show dependency treegraph
 
Reported: 2011-04-13 10:22 PDT by Virtual_ManPL [:Virtual] - (ni? me)
Modified: 2013-12-27 14:33 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
screenshot (123.59 KB, image/png)
2011-04-13 10:25 PDT, Virtual_ManPL [:Virtual] - (ni? me)
no flags Details
Stop flipping when blitting the backbuffer to the window (1.29 KB, patch)
2011-04-14 13:57 PDT, Matt Woodrow (:mattwoodrow)
joe: review+
Details | Diff | Splinter Review
Screenshot in Linux (138.81 KB, image/png)
2011-05-08 06:15 PDT, Pedro Arvela
no flags Details

Description User image Virtual_ManPL [:Virtual] - (ni? me) 2011-04-13 10:22:12 PDT
User-Agent:       Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:6.0a1) Gecko/20110412 Firefox/6.0a1
Build Identifier: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:6.0a1) Gecko/20110412 Firefox/6.0a1

 

Reproducible: Always

Steps to Reproduce:
1. Set layers.prefer-opengl to true
Comment 1 User image Virtual_ManPL [:Virtual] - (ni? me) 2011-04-13 10:25:59 PDT
Created attachment 525717 [details]
screenshot
Comment 2 User image Matt Woodrow (:mattwoodrow) 2011-04-14 13:57:26 PDT
Created attachment 526102 [details] [diff] [review]
Stop flipping when blitting the backbuffer to the window

This should fix the issue. Don't have a machine to test it on here, will try when I get home if nobody beats me to it.
Comment 3 User image Joe Drew (not getting mail) 2011-04-21 13:44:22 PDT
Comment on attachment 526102 [details] [diff] [review]
Stop flipping when blitting the backbuffer to the window

This should be pretty easy to test, correct? Or would it already be caught in our tests?
Comment 4 User image Pedro Arvela 2011-05-08 06:15:25 PDT
Created attachment 530918 [details]
Screenshot in Linux

I noticed this bug is marked for Windows, but I can reproduce it in Linux. The attached screenshot is from Ubuntu 10.10, with proprietary ATI driver fglrx 8.780 from the Ubuntu repositories. Graphics card is an ATI Radeon HD 2400 Pro. It is Firefox 6 from the Nightly branch, build from 2011-05-08.
Comment 5 User image Benoit Jacob [:bjacob] (mostly away) 2011-05-08 06:27:52 PDT
Yes, I've heard other people reporting it on linux too.
Comment 6 User image Matt Woodrow (:mattwoodrow) 2011-05-08 16:46:20 PDT
(In reply to comment #3)
> 
> This should be pretty easy to test, correct? Or would it already be caught
> in our tests?

I can't think of any easy way, no.

It only affects the single buffered configuration (WGL and GLX with radeon), which we don't have test machines for.

It also only flips on the final blit to the window, so both the test and reference should always still match.
Comment 7 User image Matt Woodrow (:mattwoodrow) 2011-05-08 20:22:37 PDT
http://hg.mozilla.org/mozilla-central/rev/f44b71c6c327
Comment 8 User image James 2011-06-23 19:41:49 PDT
This bug is able to be reproduced in the current release version (Firefox 5.0). Did the patch not make it in time? :(
Comment 9 User image Boris Zbarsky [:bz] (still a bit busy) 2011-06-23 19:54:19 PDT
Yes.  This was checked in a month after Firefox 5 branched.
Comment 10 User image Virtual_ManPL [:Virtual] - (ni? me) 2011-06-23 23:30:55 PDT
(In reply to comment #8)
> This bug is able to be reproduced in the current release version (Firefox
> 5.0). Did the patch not make it in time? :(

But still OpenGL rendering didn't work properly even in this bug is fixed. See bug #656565

Note You need to log in before you can comment on or make changes to this bug.